#!/bin/bash

# 清空 input_domain 與 domain 變數值
input_domain=""
domain=""


if [[ $# -eq 0 ]]; then
  read -p "請輸入網域名稱: " domain
else
  domain=$1
fi


domain_list=($(awk -F"[:= ]" '/'$domain'/{print $1,$11}' /etc/userdatadomains| column -t |awk '{print $1}'))

echo "搜尋結果如下:" 
echo ""
echo ""
for domains in ${!domain_list[*]}
do
	domain_root=($(awk -F"[:= ]" '/'${domain_list[$domains]}'/{print $1,$11}' /etc/userdatadomains| column -t |awk '{print $2}'))	
	echo "網域: ${domain_list[$domains]}"
	echo "網站根目錄: ${domain_root}" 
echo ""
done
